Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# LFrustumf Class Reference

List of all members.

## Public Member Functions
| LFrustumf ()
| makeOrtho (float fnear, float ffar)
| Behaves like gluOrtho.
| makeOrtho (float fnear, float ffar, float l, float r, float t, float b)
| Behaves like gluOrtho.
| makeOrtho2D ()
| Sets up a two-dimensional orthographic frustum.
| makeOrtho2D (float l, float r, float t, float b)
| Sets up a two-dimensional orthographic frustum.
| makePerspective (float xfov, float yfov, float fnear, float ffar)
| makePerspectiveHfov (float xfov, float aspect, float fnear, float ffar)
| Behaves like gluPerspective (Aspect = width/height, Yfov in degrees) aspect +------------+ | | 1 | | yfov | | +------------+.
| makePerspectiveVfov (float yfov, float aspect, float fnear, float ffar)

## Constructor & Destructor Documentation

LFrustumf | ( |  | ) |

## Member Function Documentation

makeOrtho | ( | float | fnear,
|  | float | ffar
| ) |  |

Behaves like gluOrtho.

makeOrtho | ( | float | fnear,
|  | float | ffar,
|  | float | l,
|  | float | r,
|  | float | t,
|  | float | b
| ) |  |

Behaves like gluOrtho.

makeOrtho2D | ( | float | l,
|  | float | r,
|  | float | t,
|  | float | b
| ) |  |

Sets up a two-dimensional orthographic frustum.

makeOrtho2D | ( |  | ) |

Sets up a two-dimensional orthographic frustum.

makePerspective | ( | float | xfov,
|  | float | yfov,
|  | float | fnear,
|  | float | ffar
| ) |  |

makePerspectiveHfov | ( | float | xfov,
|  | float | aspect,
|  | float | fnear,
|  | float | ffar
| ) |  |

Behaves like gluPerspective (Aspect = width/height, Yfov in degrees) aspect +------------+ | | 1 | | yfov | | +------------+.

-------+------ \ | / \ | / \ | / \ | / \ | / \|/ W yfov

makePerspectiveVfov | ( | float | yfov,
|  | float | aspect,
|  | float | fnear,
|  | float | ffar
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties